# drop the BookDB database  if it exists, then recreate it

DROP DATABASE IF EXISTS BookDB;
CREATE DATABASE BookDB;

USE BookDB;

# drop the book table if it exists, then recreate it

DROP TABLE IF EXISTS books;

CREATE TABLE books
(
id VARCHAR(8),
surname VARCHAR(24),
first_name VARCHAR(24),
title VARCHAR(96),
price FLOAT,
onSale BOOL,
year INT,
description VARCHAR(100),
inventory INT
);



DELETE FROM books;

INSERT INTO books VALUES('201', 'Horstmann & Cornell', '',
 'Core Java Vol I - Fundamentals',
 30.75, 1, 1997, 'The fundamentals of Java.', 20);

INSERT INTO books VALUES('202', 'Horstmann & Cornell', '',
 'Core Java Vol II - Advanced Features', 40.75, 0,
 2000, 'Beyond the fundamentals of Java.', 20);

INSERT INTO books VALUES('203', 'Ford', 'Matthew',
 'WebStringTemplates for All',
 27.75, 1, 2004, 'A must read for web designers, architects and programmers.', 20);

INSERT INTO books VALUES('205', 'Holub', 'Allen',
 'Taming Java Threads',
 10.75, 0, 2000, 'All you wanted to know about Java threads and more.', 20);

INSERT INTO books VALUES('206', 'Deitsch & Czarnecki', '',
 'Java Internationalization', 30.95, 0,
 2001, 'Inside Java i18n.', 20);

INSERT INTO books VALUES('207', 'Cooper', 'Alan',
 'The Inmates are Running the Asylum',
 30.00, 0, 1999, 'Why you to design the interface', 20);

INSERT INTO books VALUES('208', 'Robinson & Vorobiev', '',
 'Swing',
 45.00, 1, 2000, 'Introduction to the world of Swing.', 20);

